Update workflow definition
PUT
/api/admin/workflow/definitions/{id}
const url = 'https://example.com/api/admin/workflow/definitions/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"connectionId":"camunda-prod","name":"Content Approval","description":"Standard content approval workflow","processDefinitionKey":"content-approval-v1","initialTriggerUrl":"/webhook/12345678-abcd-efgh-ijkl-1234567890ab/start"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/admin/workflow/definitions/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "connectionId": "camunda-prod", "name": "Content Approval", "description": "Standard content approval workflow", "processDefinitionKey": "content-approval-v1", "initialTriggerUrl": "/webhook/12345678-abcd-efgh-ijkl-1234567890ab/start" }'Updates an existing workflow definition
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Definition ID
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
connectionId
References parent workflow connection
string
Example
camunda-prodname
Human-readable workflow name
string
Example
Content Approvaldescription
Workflow description
string
Example
Standard content approval workflowprocessDefinitionKey
External engine process definition key
string
Example
content-approval-v1initialTriggerUrl
URL to trigger the start of the workflow
string
Example
/webhook/12345678-abcd-efgh-ijkl-1234567890ab/startResponses
Section titled “Responses”Definition updated successfully
Media typeapplication/json
object
id
required
Unique workflow identifier
string
connectionId
required
References parent workflow connection
string
name
required
Human-readable workflow name
string
description
Workflow description
string
processDefinitionKey
External engine process definition key
string
initialTriggerUrl
URL to trigger the start of the workflow
string
Example
{ "id": "content-approval", "connectionId": "camunda-prod", "name": "Content Approval", "description": "Standard content approval workflow", "processDefinitionKey": "content-approval-v1", "initialTriggerUrl": "/webhook/12345678-abcd-efgh-ijkl-1234567890ab/start"}Invalid request body or connection not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}Definition not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}Internal server error
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}